List Projects
curl --request GET \
--url https://api.axiom.xyz/v1/projects \
--header 'Axiom-API-Key: <api-key>'import requests
url = "https://api.axiom.xyz/v1/projects"
headers = {"Axiom-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Axiom-API-Key': '<api-key>'}};
fetch('https://api.axiom.xyz/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"created_at": "<string>",
"name": "<string>",
"organization_id": 123,
"highlighted_program_id": "<string>",
"highlighted_program_pinned": true,
"created_by": "<string>",
"program_count": 123,
"total_proofs_run": 123,
"last_active_at": "2023-11-07T05:31:56Z",
"is_favorite": true,
"total_usage_count": 123
}
],
"pagination": {
"total": 123,
"page": 123,
"page_size": 123,
"pages": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Program Management
List projects
List all projects for your organization with search and sorting capabilities.
Projects help organize related programs and proofs. You can search by name and sort by various criteria.
GET
/
v1
/
projects
List Projects
Authorizations
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Search projects by name or ID
Sort by: created_at, name, last_active_at, program_count, total_proofs_run
Sort direction: asc or desc
Was this page helpful?
⌘I